From 3690e65e412dc719fc7d750f5d58ffe28b94f5cb Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 25 2021 06:01:07 +0000
Subject: [PATCH 2181/2232] Make memory and vector trait bounds publicly nameable


---

diff --git a/src/memory.rs b/src/memory.rs
index 42f1f76..80b8f6f 100644
--- a/src/memory.rs
+++ b/src/memory.rs
@@ -1,2 +1,4 @@
+pub use crate::shared_ptr::SharedPtrTarget;
+pub use crate::unique_ptr::UniquePtrTarget;
 #[doc(no_inline)]
 pub use cxx::{SharedPtr, UniquePtr};
diff --git a/src/vector.rs b/src/vector.rs
index 6963c3d..d360207 100644
--- a/src/vector.rs
+++ b/src/vector.rs
@@ -1,7 +1,7 @@
 //! Less used details of `CxxVector` are exposed in this module. `CxxVector`
 //! itself is exposed at the crate root.
 
-pub use crate::cxx_vector::{Iter, IterMut};
+pub use crate::cxx_vector::{Iter, IterMut, VectorElement};
 #[doc(inline)]
 pub use crate::Vector;
 #[doc(no_inline)]

